@import "buttons/buttons.css";
@import "eyMediaQueries/eyMediaQueries.css";
@import "forms/dropdown.css";
@import "forms/forms.css";
@import "navigation/navigation.css";
@import "tables/table.css";
@import "templates/application/consultation.css";
@import "templates/application/consultationTooltip.css";
@import "templates/service/edwLookup.css";
@import "templates/dialog/dialogApprove.css";
@import "templates/dialog/dialogWarning.css";
@import "templates/home/home.css";
@import "templates/home/homeFilters.css";
@import "templates/home/homePredefinedFilters.css";
@import "templates/home/homeQuicklinks.css";
@import "templates/questionnaire/questionnaire.css";
@import "templates/questionnaire/questionnaireApprovers.css";
@import "templates/questionnaire/questionnaires.css";
@import "templates/record/record.css";
@import "templates/record/recordApprover.css";
@import "templates/record/recordClientEngagement.css";
@import "templates/record/recordStatus.css";
@import "templates/service/language.css";
@import "templates/service/pagination.css";
@import "templates/user/userLookup.css";
@import "templates/user/userManagement.css";
@import "templates/user/userProfile.css";
@import "templates/privacyPolicy/privacyPolicy.css";
@import "print.css";
@import '../libs/bootstrap-datepicker3.css';
@import "../../test/lib/jasmine/jasmine.css";

@media (min-width: 1200px) {
    .container {
        width: 97%;
    }
}

body {
    overflow: hidden;
}

blockquote {
    padding: 0 0 0 5px;
    margin: 0 0 15px 0;
    border-left: 5px solid #808080;
}

blockquote small {
    font-size: 71%;
}


hr {
    margin-top: 10px;
    margin-bottom: 10px;
}

.applicationName {
    display: flex;
    justify-content: space-between;
    align-items: center;
}

.applicationName .header-left {
    flex: 5;
}

.applicationName .header-right {
    display: flex;
    justify-content: space-between;
    align-items: center;
}

.applicationName h2 {
    border-bottom: none;
    padding: 10px 0 10px !important;
}

.applicationName .header-right .logout-button {
    font-size: 14px;
    color: #c0c0c0;
    cursor: pointer;
    border: 1px solid #c0c0c0;
    padding: 8px;
}

.applicationNameBorder {
    border-bottom: 1px solid #666;
}

.cursorPointer {
    cursor: pointer;
}

.gap {
    height: 5px;
}

.xsmall {
    font-size: 70%;
}

.date[readonly] {
    background-color: transparent;
}

.d-flex {
    display: flex !important;
}

.p-0 {
    padding: 0;
}

#export.fa-file-excel-o {
    background-color: #2c973e;
    color: #f0f0f0;
    font-size: medium;
    padding: 12px 14px 12px 14px;
}

.ey-red-color {
    color: #f04c3e !important;
}

.ey-primary {
    color: #fff;
    background-color: #44494f;
}

.ey-buttercup-color {
    color: #ffe600;
}

a.disabled {
    cursor: default !important;
    pointer-events: none;
    text-decoration: none;
    color: inherit;
}

span.disabled {
    cursor: default !important;
    pointer-events: none;
    color: grey;
}

.table.table-responsive a {
    cursor: pointer;
}

.table.table-responsive th.topic-header {
    width: 33%;
}

.wait-cursor {
    cursor: wait;
}

/* The toast - position it at the bottom and in the middle of the screen */
.toast-modal {
    padding-top: 20px;
    padding-bottom: 20px;
    position: absolute; /* Sit on top of the screen */
    top: 65px; /* 30px from the top */
    left: auto;
    right: 20px;
    font-weight: inherit;
    font-size: 14px;
    z-index: 99;
}

.toast-modal .close {
    top: -15px;
    right: -15px;
    color: #fff;
    text-shadow: none;
    opacity: inherit;
}

/* Show the toast when clicking on a button (class added with JavaScript) */
.toast-modal.show {
    visibility: visible; /* Show the toast */
    /* Add animation: Take 0.5 seconds to fade in and out the toast. 
However, delay the fade out process for 2.5 seconds */
    -webkit-animation: fadein 0.5s;
}

/* Animations to fade the toast in and out */
@-webkit-keyframes fadein {
    from {
        top: 0;
        opacity: 0;
    }

    to {
        top: 75px;
        opacity: 1;
    }
}

@keyframes fadein {
    from {
        top: 0;
        opacity: 0;
    }

    to {
        top: 75px;
        opacity: 1;
    }
}

.modal .modal-body.scorllContain {
    max-height: 60vh;
    overflow-y: auto;
}

.suggestion-modal {
    overflow-y: visible !important;
}

.modal-xl {
    width: 85vw;
}

.select-topic {
    cursor: pointer;
    width: 33% !important;
}

.select-engagement {
    cursor: pointer;
    width: 20%;
}

.has-error {
    color: #f04c3e !important;
}

@media (max-width: 767px) and (orientation: portrait) {

    table {
        font-size: 10px;
    }

    .select-engagement span {
        cursor: pointer;
        max-width: 15vw;
        word-wrap: break-word;
    }

    .modal-dialog {
        position: relative;
        width: 90vw !important;
        margin: 20px !important;
    }
}

@media (min-width: 812px) and (max-width: 823px) {
    .modal-dialog {
        position: relative;
        width: 90vw !important;
        margin: 20px !important;
    }
}

@media (max-width: 767px) and (orientation: landscape) {

    .modal .modal-body.scorllContain {
        max-height: 180px;
    }

    .modal-xl {
        width: auto !important;
    }
}

fieldset[disabled] i,
fieldset[disabled] a,
fieldset[disabled] span,
fieldset[disabled] .switch-box,
fieldset[disabled] .typeheaddropdwn,
fieldset[disabled] div#add,
fieldset[disabled] button,
fieldset[disabled] input:not([type="radio"]) {
    cursor: not-allowed;
    /* pointer-events: none; */
    color: inherit;
}

fieldset[disabled] a.download,
fieldset[disabled] #downloadAll {
    cursor: pointer !important;
    pointer-events: inherit !important;
    color: #336699 !important;
}

fieldset[disabled] .fa-sticky-note,
fieldset[disabled] .fa-comment,
fieldset[disabled] .fa-info-circle {
    cursor: auto !important;
    pointer-events: inherit !important;
}

fieldset[disabled] input[type="radio"] {
    cursor: not-allowed;
    -moz-appearance: none;
    -ms-appearance: none;
    -o-appearance: none;
    appearance: none;
    border-radius: 8px;
    border: none;
    height: 16px;
    width: 16px;
    background: #eee;
}

fieldset[disabled] .switch-cont:before {
    background: #eee;
    color: #999;
}

fieldset[disabled] input::-ms-check {
    border: none;
}

fieldset[disabled] input[type="radio"] ~ .radio-txt {
    color: #999;
}

fieldset[disabled] .modal-dropdwn {
    background-color: rgb(235, 235, 228);
}

.filter-topic-type select {
    background-color: #33373b;
    color: #fff;
}

.clear-all-topic {
    font-size: 14px;
    line-height: normal;
}

.filter-topic-type .form-group {
    margin-bottom: 0px !important;
}

.topic-header {
    font-weight: 100;
    color: #c0c0c0;
}

#exportTopic.fa-file-excel-o {
    background-color: #2c973e;
    color: #f0f0f0;
    font-size: large;
    padding: 12px 14px 12px 14px;
}

.grouped-questions {
    background: #f5f5f5;
    padding-left: 1%;
}

.add-topic {
    margin-bottom: 1em;
    margin-top: 1em;
}

.inline-icon {
    display: inline;
}

@supports (-ms-ime-align:auto) {
    .filter-topic-type select {
        background-color: gray !important;
        color: #fff;
    }

    #filterActions button {
        margin: 0px 0px 0px 2px;
        padding: 8px 14px 8px 14px;
        background-color: gray;
        color: white !important;
    }
}

@supports (-ms-ime-align:auto) and (-webkit-text-stroke:initial) {
    .filter-topic-type select {
        background-color: gray !important;
        color: #fff;
    }

    #filterActions button {
        margin: 0px 0px 0px 2px;
        padding: 8px 14px 8px 14px;
        background-color: gray;
        color: white !important;
    }
}

@media screen\0 {
    .filter-topic-type select {
        background-color: gray !important;
        color: #fff;
    }

    #filterActions button {
        margin: 0px 0px 0px 2px;
        padding: 8px 14px 8px 14px;
        background-color: gray;
        color: white !important;
    }

}

@media screen and (min-width: 0\0
) {
    .filter-topic-type select {
        background-color: gray !important;
        color: #fff;
    }

    #filterActions button {
        margin: 0px 0px 0px 2px;
        padding: 8px 14px 8px 14px;
        background-color: gray;
        color: white !important;
    }

}

@media all and (-ms-high-contrast: none), (-ms-high-contrast: active) {
    .filter-topic-type select {
        background-color: gray !important;
        color: #fff;
    }

    #filterActions button {
        margin: 0px 0px 0px 2px;
        padding: 8px 14px 8px 14px;
        background-color: gray;
        color: white !important;
    }

}


.manageTopics {
    max-height: 32em;
    overflow-x: hidden;
    overflow-y: auto;
}

a.clear {
    cursor: pointer;
    border: none;
    margin-left: 10px;
    display: inline-block;
    padding: 4px 2px 0px;
    font-weight: 600;
    font-size: 15px;
}

@media (max-width: 767px) and (orientation: portrait) {
    a.clear {
        margin-left: 0px;
        margin-top: 8px;
        padding: 1px 2px 0px;
    }
}

a.clear:hover {
    text-decoration: underline;
}

a.clear.disabled,
fieldset[disabled] a.clear {
    opacity: .4;
}

.approver-note {
    font-size: 14px;
    display: block;
    line-height: normal;
    margin-bottom: 10px;
    margin-top: -4px;
}

#required-AA {
    font-size: small;
    font-weight: bold;
    display: inline;
}